gtkmm: Gtk::Box_Helpers::BoxList Class Reference

gtkmm 2.24.5

Public Types | Public Member Functions | List of all members
Gtk::Box_Helpers::BoxList Class Reference
Inheritance diagram for Gtk::Box_Helpers::BoxList:
[legend]
Collaboration diagram for Gtk::Box_Helpers::BoxList:
[legend]

## Public Types
typedef Glib::HelperList< Child, const Element, Glib::List_Iterator< Child > > | type_base
Public Types inherited from Glib::HelperList< Child, const Element, Glib::List_Iterator< Child > >
typedef T_Child | value_type
typedef value_type & | reference
typedef const value_type & | const_reference
typedef T_Iterator | iterator
typedef List_ConstIterator< iterator > | const_iterator
typedef List_ReverseIterator< iterator > | reverse_iterator
typedef List_ConstIterator< reverse_iterator > | const_reverse_iterator
typedef T_CppElement | element_type
typedef std::size_t | difference_type
typedef std::size_t | size_type

## Public Member Functions
| BoxList ()
| BoxList (GtkBox*gparent)
| BoxList (const BoxList& src)
virtual | ~BoxList ()
BoxList& | operator= (const BoxList& src)
GtkBox* | gparent ()
const GtkBox* | gparent () const
virtual GList*& | glist () const
virtual void | erase (iterator start, iterator stop)
virtual iterator | erase (iterator)
virtual void | remove (const_reference)
reference | operator[] (size_type l) const
| This is order n. (use at own risk) More...
iterator | insert (iterator position, element_type& e)
template<class InputIterator >
void | insert (iterator position, InputIterator first, InputIterator last)
void | push_front (element_type& e)
void | push_back (element_type& e)
iterator | find (const_reference c)
iterator | find (Widget&)
virtual void | remove (Widget& w)
void | reorder (iterator loc, iterator pos)
Public Member Functions inherited from Glib::HelperList< Child, const Element, Glib::List_Iterator< Child > >
| HelperList ()
| HelperList (GObject *gp)
virtual | ~HelperList () noexcept
size_type | size () const
size_type | max_size ()
bool | empty ()
iterator | begin ()
const_iterator | begin () const
iterator | end ()
const_iterator | end () const
reverse_iterator | rbegin ()
const_reverse_iterator | rbegin () const
reverse_iterator | rend ()
const_reverse_iterator | rend () const
reference | front () const
reference | back () const
reference | operator[] (size_type l) const
void | pop_front ()
void | pop_back ()
void | clear ()
GObject * | gparent ()
const GObject * | gparent () const

## Additional Inherited Members
Protected Member Functions inherited from Glib::HelperList< Child, const Element, Glib::List_Iterator< Child > >
iterator | begin_ () const
iterator | end_ () const
Protected Attributes inherited from Glib::HelperList< Child, const Element, Glib::List_Iterator< Child > >
GObject * | gparent_

## Member Typedef Documentation

## ◆ type_base

typedef Glib::HelperList< Child, const Element, Glib::List_Iterator< Child > > Gtk::Box_Helpers::BoxList::type_base

## Constructor & Destructor Documentation

## ◆ BoxList() [1/3]

Gtk::Box_Helpers::BoxList::BoxList | ( |  | ) |

## ◆ BoxList() [2/3]

Gtk::Box_Helpers::BoxList::BoxList | ( | GtkBox * | gparent | ) |
| explicit

## ◆ BoxList() [3/3]

Gtk::Box_Helpers::BoxList::BoxList | ( | const BoxList& | src | ) |

## ◆ ~BoxList()

virtual Gtk::Box_Helpers::BoxList::~BoxList | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ erase() [1/2]

virtual void Gtk::Box_Helpers::BoxList::erase | ( | iterator | start,
|  | iterator | stop
| ) |  |
| virtual

Reimplemented from Glib::HelperList< Child, const Element, Glib::List_Iterator< Child > >.

## ◆ erase() [2/2]

virtual iterator Gtk::Box_Helpers::BoxList::erase | ( | iterator |  | ) |
| virtual

Implements Glib::HelperList< Child, const Element, Glib::List_Iterator< Child > >.

## ◆ find() [1/2]

iterator Gtk::Box_Helpers::BoxList::find | ( | const_reference | c | ) |

## ◆ find() [2/2]

iterator Gtk::Box_Helpers::BoxList::find | ( | Widget& |  | ) |

## ◆ glist()

virtual GList*& Gtk::Box_Helpers::BoxList::glist | ( |  | ) | const
| virtual

Implements Glib::HelperList< Child, const Element, Glib::List_Iterator< Child > >.

## ◆ gparent() [1/2]

GtkBox* Gtk::Box_Helpers::BoxList::gparent | ( |  | ) |

## ◆ gparent() [2/2]

const GtkBox* Gtk::Box_Helpers::BoxList::gparent | ( |  | ) | const

## ◆ insert() [1/2]

iterator Gtk::Box_Helpers::BoxList::insert | ( | iterator | position,
|  | element_type & | e
| ) |  |

## ◆ insert() [2/2]

template <class InputIterator >

void Gtk::Box_Helpers::BoxList::insert | ( | iterator | position,
|  | InputIterator | first,
|  | InputIterator | last
| ) |  |
| inline

## ◆ operator=()

BoxList& Gtk::Box_Helpers::BoxList::operator= | ( | const BoxList& | src | ) |

## ◆ operator[]()

reference Gtk::Box_Helpers::BoxList::operator[] | ( | size_type | l | ) | const

This is order n. (use at own risk)

## ◆ push_back()

void Gtk::Box_Helpers::BoxList::push_back | ( | element_type & | e | ) |
| inline

## ◆ push_front()

void Gtk::Box_Helpers::BoxList::push_front | ( | element_type & | e | ) |
| inline

## ◆ remove() [1/2]

virtual void Gtk::Box_Helpers::BoxList::remove | ( | const_reference |  | ) |
| virtual

Implements Glib::HelperList< Child, const Element, Glib::List_Iterator< Child > >.

## ◆ remove() [2/2]

virtual void Gtk::Box_Helpers::BoxList::remove | ( | Widget& | w | ) |
| virtual

## ◆ reorder()

void Gtk::Box_Helpers::BoxList::reorder | ( | iterator | loc,
|  | iterator | pos
| ) |  |

The documentation for this class was generated from the following file:

- gtkmm/box.h